.modal-inner {
    /* background-color: var(--main-verylightblue); */
    width: 100%;
    height: auto;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    overflow-y: hidden;
    padding-top: 0px;
}

.mig-form-small {
    width: 526px;
}

/* The Close Button */
.close {
    background-color: transparent;
    display: flex;
    justify-content: end;
    padding: 10px 0px;
    position: absolute;
    top: 12px;
    right: 20px;
}

.close-small-form {
    align-items: flex-end;
    width: var(--mig-small-form-width);
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

#content .mig-show-modal {
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 99;
    opacity: 1;
}

.mig-modal {
    /* display: none; */
    opacity: 0;
    position: fixed;
    z-index: -1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.8);
}

#mig-modal-close-top-btn {
    width: 40px;
}

/* Modal Content/Box */
.mig-modal-content {
    background-color: transparent;
    padding: 0px;
    width: 100%;
    border: none;
    /* min-height: 80vh; */
    min-height: 80%;
    margin-left: 20px;
    margin-right: 20px;
    box-sizing: border-box;
    /* counteracts the content-box in .mig-modal above */
    /* give room to scroll past the cta panel */
    display: flex;
    flex-direction: column;
}

.mig-modal-content-scroll-wrap {
    overflow-y: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.mig-modal-right-align {
    align-items: end;
}

.mig-modal-center-align {
    align-items: center;
}


label.mig-form-label {
    position: relative;
    margin-left: 12px;
    padding-bottom: 4px !important;
    height: 14px;
    margin-top: 10px;
    color: var(--main-lightgrey);
    font-size: 12px;
    font-weight: 300;
    z-index: 1;
}

.wpcf7 input[type=text],
.wpcf7 input[type=phone],
.wpcf7 input[type=email],
.wpcf7 select,
.wpcf7 textarea {
    background-color: var(--main-verylightblue);
    border-radius: 5px;
    height: 50px;
    border: 1px solid var(--main-mediumblue);
    color: var(--main-mediumblue) !important;
    font-size: 16px;
    font-weight: 400;
    margin-top: -26px !important;
    padding-bottom: 0px !important;
    display: block;
}

.wpcf7 textarea {
    height: 100px;
}

/* #region request a quote form */

input[name=your-consent] {
    display: inline-block;
    margin-top: -5px;
}

form.wpcf7-form input[type=submit] {
    margin-top: 0px;
    color: white;
    padding: 10px 25px;
    border-radius: 25px;
    font-family: Nunito;
    font-size: 18px;
    font-style: normal;
    font-weight: 300;
    line-height: 25px;
    letter-spacing: 0em;
    border: none;
    height: 49px;
    text-transform: none;
    background-color: var(--btn-orange);
}

.mig-enq-form-submit-row {
    height: 55px;
}

#mig-config-modal.mig-enq-form-modal form.wpcf7-form input[type=submit] {
    width: 136px;
}

#mig-config-modal form.wpcf7-form input[type=submit] {
    width: 174px;
}

form.wpcf7-form input[type=submit]:hover, form.wpcf7-form input[type=submit]:focus {
    background-color: var(--btn-orange-hover);
    color: white;
}

form.wpcf7-form h3 {
    font-family: 'Nunito';
    font-weight: 600;
    font-size: 26px;
    line-height: 35px;
    display: flex;
    align-items: center;
    color: var(--main-smokeyblue);
}

span.wpcf7-list-item-label {
    font-family: 'Nunito';
    font-weight: 300;
    font-size: 16px;
    line-height: 22px;
    color: var(--main-mediumblue);
}

span.wpcf7-list-item {
    margin-left: 0px;
}

textarea[name=questions] {
    height: 88px;
}

/* confiigurator options for quote form popup */

#form-section-outer, #company-details-section-outer {
    display: none;
    scroll-margin: 140px;
    padding-bottom: 0px;
    position: relative;
    z-index: 1;
    background-color: var(--main-verylightblue);
}

#company-details-section-outer {
    max-width: 560px;
}

.mig-enq-form-padding {
    padding: 30px;
}

.mig-conf-form-padding {
    padding: 30px 30px 200px 30px;
}

.quote-form-title {
    font-family: 'Nunito';
    font-weight: 600;
    font-size: 21px;
    line-height: 29px;
    margin-bottom: 5px;
    display: flex;
    align-items: center;
    color: var(--main-smokeyblue);
}

.quote-form-sku {
    font-weight: 300;
    font-size: 18px;
    line-height: 25px;
    color: var(--main-mediumblue);
    margin-bottom: 12px;
}

.quote-form-conf-options {
    font-weight: 300;
    font-size: 16px;
    line-height: 22px;
    color: var(--main-mediumblue);
    white-space: nowrap;
}

.wpcf7-not-valid-tip {
    display: none;
    color: var(--btn-orange);
}

/* response messages */

.success-message-panel {
    min-height: 200px;
    display: flex;
    align-items: center;
    color: var(--main-mediumblue);
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

body.page-id-1758 .success-message-panel {
    background-color: var(--main-verylightblue);
    border: 1px solid var(--main-verylightgrey);
    margin-top: 49px;
    max-width: 600px;
}

.wpcf7 form.sent .wpcf7-response-output {
    border-color: var(--main-smokeyblue);
    border-radius: 5px;
    color: var(--main-mediumblue);
}

.wpcf7-response-output, .wpcf7-spinner {
    display: none;
}

.wpcf7-spinner::before {
    content: url(https://www.mig-encoders.com/wp-content/uploads/loading-orange.gif);
}

#mignova-container .wpcf7-spinner {
    position: absolute;
    left: 52px;
    margin-top: 12px;
}

/*
    background-image: url(https://www.mig-encoders.com/wp-content/uploads/loading-orange.gif) !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-color: var(--btn-orange-hover) !important;
    */
body .mig-submit-spinner {
    background-image: url(https://www.mig-encoders.com/wp-content/uploads/loading-orange.gif);
    background-repeat: no-repeat;
    background-position: center;
}

.mig-form-response {
    line-height: 1;
    height: 50px;
    display: flex;
    align-items: center;
    color: var(--main-smokeyblue);
    justify-content: center;
    padding-left: 14px;
}

.mig-form-success-highlight{
    background: var(--main-smokeyblue);
    color: #fff;
    margin-left: 10px;
    text-align: center;
    border-radius: 4px;
}

/* background-color: var(--main-verylightblue);
width: 127%;
margin-left: -43px;
padding: 20px 43px; */

.wpcf7 input:not([type=submit]):focus, .wpcf7 select:focus, .wpcf7 textarea:focus {
    border-color: var(--main-smokeyblue);
}

select, .select2-container .select2-selection--single {
    background-position-y: 50%;
}

#mig-form-wrapper .wpcf7 form.invalid .wpcf7-response-output, #mig-form-wrapper .wpcf7 form.unaccepted .wpcf7-response-output,
#mig-form-wrapper .wpcf7 form.payment-required .wpcf7-response-output, #mig-form-wrapper .wpcf7-not-valid {
    border-color: var(--btn-orange);
}

#mig-send-copy-wrapper {
    padding-top: 0px;
}

#mig-terms-agree-wrapper {
    padding-top: 20px;
}

#mig-form-wrapper input[type="checkbox"]:checked {
    border-color: var(--main-smokeyblue);
    background-color: var(--main-smokeyblue);
    accent-color: var(--main-smokeyblue);
}

/* #endregion request a quote form */

@media screen and (min-width: 767px) and (max-width: 991px) {

    .mig-enq-form-padding {
        padding-bottom: 60px !important;
    }

}

@media screen and (max-width: 991px) {

    .modal-inner {
        padding-top: 100px;
    }

    .mig-modal-content-scroll-wrap {
        align-items: baseline;
        height: 200vh;
    }

    .close {
        margin-right: 4px;
    }

    .mig-form-response {
        padding-top: 30px;
        padding-bottom: 20px;
        justify-content: left;
    }

    .mig-modal {
        overflow-y: scroll;
    }

    body #content .mig-show-modal {
        align-items: baseline;
    }
}


@media screen and (max-width: 767px) {

    .wpcf7 form {
        display: grid;
    }

    #content .mig-enq-form-submit-row {
        height: auto;
    }

    .mig-form-small, .close-small-form {
        width: 100%;
    }
}